japa.parser.ast.expr

## Class VariableDeclarationExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.VariableDeclarationExpr

    public final class VariableDeclarationExpr
    extends Expression

Author:
  Julio Vilmar Gesser

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`VariableDeclarationExpr()`
`VariableDeclarationExpr(int beginLine, int beginColumn, int endLine, int endColumn, int modifiers, List<AnnotationExpr> annotations, Type type, List<VariableDeclarator> vars)`
`VariableDeclarationExpr(int modifiers, Type type, List<VariableDeclarator> vars)`
`VariableDeclarationExpr(Type type, List<VariableDeclarator> vars)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`List<AnnotationExpr>` `getAnnotations()`
`int` `getModifiers()` Return the modifiers of this variable declaration.
`Type` `getType()`
`List<VariableDeclarator>` `getVars()`
`void` `setAnnotations(List<AnnotationExpr> annotations)`
`void` `setModifiers(int modifiers)`
`void` `setType(Type type)`
`void` `setVars(List<VariableDeclarator> vars)`

### Methods inherited from class japa.parser.ast.Node

`addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VariableDeclarationExpr

    public VariableDeclarationExpr()

#### VariableDeclarationExpr

    public VariableDeclarationExpr(Type type,
                                   List<VariableDeclarator> vars)

#### VariableDeclarationExpr

    public VariableDeclarationExpr(int modifiers,
                                   Type type,
                                   List<VariableDeclarator> vars)

#### VariableDeclarationExpr

    public VariableDeclarationExpr(int beginLine,
                                   int beginColumn,
                                   int endLine,
                                   int endColumn,
                                   int modifiers,
                                   List<AnnotationExpr> annotations,
                                   Type type,
                                   List<VariableDeclarator> vars)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                          A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed to the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - the argument passed to the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                           A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getAnnotations

    public List<AnnotationExpr> getAnnotations()

#### getModifiers

    public int getModifiers()

Return the modifiers of this variable declaration.

Returns:
  modifiers
See Also:
  `ModifierSet`

#### getType

    public Type getType()

#### getVars

    public List<VariableDeclarator> getVars()

#### setAnnotations

    public void setAnnotations(List<AnnotationExpr> annotations)

#### setModifiers

    public void setModifiers(int modifiers)

#### setType

    public void setType(Type type)

#### setVars

    public void setVars(List<VariableDeclarator> vars)